# DataExchange
TKSTEP209
StepFEA

# StepFEA_FeaModel Class Reference

Representation of STEP entity FeaModel
.

`#include <StepFEA_FeaModel.hxx>`

Inheritance diagram for StepFEA_FeaModel:

[legend]

## Public Member Functions

Standard_EXPORT | StepFEA_FeaModel ()
| Empty constructor .

Standard_EXPORT void

Init (const Handle(TCollection_HAsciiString)&aRepresentation_Name, const Handle(StepRepr_HArray1OfRepresentationItem)&aRepresentation_Items, const Handle(StepRepr_RepresentationContext)&aRepresentation_ContextOfItems, const Handle(TCollection_HAsciiString)&aCreatingSoftware, const Handle(TColStd_HArray1OfAsciiString)&aIntendedAnalysisCode, const Handle(TCollection_HAsciiString)&aDescription, const Handle(TCollection_HAsciiString)&aAnalysisType)

| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | CreatingSoftware () const
| Returns field CreatingSoftware .
Standard_EXPORT void | SetCreatingSoftware (const Handle(TCollection_HAsciiString)&CreatingSoftware)
| Set field CreatingSoftware .
Standard_EXPORT Handle_TColStd_HArray1OfAsciiString | IntendedAnalysisCode () const
| Returns field IntendedAnalysisCode .
Standard_EXPORT void | SetIntendedAnalysisCode (const Handle(TColStd_HArray1OfAsciiString)&IntendedAnalysisCode)
| Set field IntendedAnalysisCode .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Handle_TCollection_HAsciiString | AnalysisType () const
| Returns field AnalysisType .
Standard_EXPORT void | SetAnalysisType (const Handle(TCollection_HAsciiString)&AnalysisType)
| Set field AnalysisType .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theCreatingSoftware
Handle_TColStd_HArray1OfAsciiString | theIntendedAnalysisCode
Handle_TCollection_HAsciiString | theDescription
Handle_TCollection_HAsciiString | theAnalysisType

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_FeaModel::StepFEA_FeaModel | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepFEA_FeaModel::AnalysisType | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepFEA_FeaModel::CreatingSoftware | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepFEA_FeaModel::Description | ( |  | ) | const

Standard_EXPORT const StepFEA_FeaModel::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_Representation. Reimplemented in StepFEA_FeaModel3d.

Standard_EXPORT void StepFEA_FeaModel::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentation_Name,
|  | const Handle(StepRepr_HArray1OfRepresentationItem)& | aRepresentation_Items,
|  | const Handle(StepRepr_RepresentationContext)& | aRepresentation_ContextOfItems,
|  | const Handle(TCollection_HAsciiString)& | aCreatingSoftware,
|  | const Handle(TColStd_HArray1OfAsciiString)& | aIntendedAnalysisCode,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(TCollection_HAsciiString)& | aAnalysisType
| ) |

Standard_EXPORT Handle_TColStd_HArray1OfAsciiString StepFEA_FeaModel::IntendedAnalysisCode | ( |  | ) | const

Standard_EXPORT void StepFEA_FeaModel::SetAnalysisType | ( | const Handle(TCollection_HAsciiString)& | AnalysisType | ) |

Standard_EXPORT void StepFEA_FeaModel::SetCreatingSoftware | ( | const Handle(TCollection_HAsciiString)& | CreatingSoftware | ) |

Standard_EXPORT void StepFEA_FeaModel::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepFEA_FeaModel::SetIntendedAnalysisCode | ( | const Handle(TColStd_HArray1OfAsciiString)& | IntendedAnalysisCode | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepFEA_FeaModel::theAnalysisType `[private]`

Handle_TCollection_HAsciiString StepFEA_FeaModel::theCreatingSoftware `[private]`

Handle_TCollection_HAsciiString StepFEA_FeaModel::theDescription `[private]`

Handle_TColStd_HArray1OfAsciiString StepFEA_FeaModel::theIntendedAnalysisCode `[private]`

The documentation for this class was generated from the following file:

- StepFEA_FeaModel.hxx